ATOMIC_SUB_AND_TEST(9)

NAME
atomic_sub_and_test - subtract value from variable and test result

SYNOPSIS

int atomic_sub_and_test (int i, atomic_t * v);

ARGUMENTS

i   integer value to subtract

v   pointer of type atomic_t

DESCRIPTION

Atomically subtracts i from v and returns true if the result is zero, or false for all other cases.